title = "Prodotto"
url = "/prodotto/:slug"
meta_title = "Mariano Rubinacci - Dettagli prodotto"
is_hidden = 0

[viewBag]
localeMeta_title[en] = "Mariano Rubinacci - Product details"
localeUrl[en] = "/product/:slug"

[AnagraficaView]

[ProductView]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0
debug = 0

[Cart]

[localePicker]
forceUrl = 0

[ProductData]

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[Agent]

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[UserData]

[cookieNotice]
loadCss = 1

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[Lovata\Shopaholic\Components\ProductList ProductList]
sorting = "no"

[Agent Agent2]
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ obProduct.description|raw|cleanhtml }}">
	    <title>Mariano Rubinacci - {{obProduct.name}}</title>
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/font-awesome/css/font-awesome.min.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/jquery-bar-rating/dist/themes/fontawesome-stars.css'|theme }}">#}
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">

	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">

	    <link rel="stylesheet" href="{{ 'assets/plugins/modaal/css/modaal.min.css'|theme }}">

		{#<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/solid.min.css" rel="stylesheet" crossorigin="anonymous">#}
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/toasts/jquery.toast.css'|theme }}">

    	<style>
			.button-carrello
			{
		    	height: auto;
			}
			.jq-toast-wrap
			{
				width: 500px;
			}
			.jq-toast-single
			{
			    font-size: 16px;
			    border: 1px solid #444444;
				border-radius: 5px;
				line-height: 20px;
				padding: 20px;

			}
			.disabled-a-btn
			{
				cursor: not-allowed;
				color: grey;
			}

		</style>

	    {#
	    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
	    <link rel="stylesheet" href="{{ 'assets/plugins/YTPlayer/dist/css/jquery.mb.YTPlayer.min.css'|theme }}">
	    #}
	    {% partial 'userscripts' %}
	    <script>
		  gtag('event', 'page_view', {
		    'send_to': 'AW-959174034',
		    'value': '{{obOffer.price}}',
		    'items': [{
		      'id': '{{obOffer.code}}',
		      'google_business_vertical': 'retail'
		    }]
		  });
		</script>
    </head>

	<body>
		<!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}

	    {% partial 'menu' %}

        {% if error404 or offerteAttive == 0 %}
 			{% partial 'error404' %}
        {% else %}

		    <div class="container">
		        <div class="ps-product--detail">
		            <div class="ps-product__header">
		                <div class="ps-product__thumbnail mg-bt-0" data-vertical="false">
		                	{% if Agent.isMobile() %}
		                		<div class="owl-slider-img-mobile owl-theme">
		                			<div class="item">
	                                    <img src="{{ obProduct.preview_image.path }}">
	                                </div>
	                                <div class="item">
	                                    <img src="{{ obProduct.getObject().back_preview.path }}">
	                                </div>
	                                {% for obImage in obProduct.images %}
		                                <div class="item">
		                                    <img src="{{ obImage.path }}">
		                                </div>
		                            {% endfor %}
		                		</div>
		                	{% else %}
			                    <figure class="mg-bt-0">
			                        <div class="ps-wrapper">
			                            <div class="ps-product__gallery" data-arrow="true">
				                            <div class="item">
			                                    <a href="{{ obProduct.preview_image.path }}"><img id="prod-img" src="{{ obProduct.preview_image.path }}" alt=""></a>
			                                </div>
				                            <div class="item">
			                                    <a href="{{ obProduct.getObject().back_preview.path }}"><img id="prod-img" src="{{ obProduct.getObject().back_preview.path }}" alt=""></a>
			                                </div>
			                                {% for obImage in obProduct.images %}
				                                <div class="item">
				                                    <a href="{{ obImage.path }}"><img id="prod-img" src="{{ obImage.path }}" alt=""></a>
				                                </div>
				                            {% endfor %}
			                            </div>
			                        </div>
			                    </figure>
			                    <div class="ps-product__variants {{Agent.isMobile() ? 'none-display'}}" data-item="4" data-md="3" data-sm="3" data-arrow="false">
			                    	<div class="item">
	                                    <img src="{{ obProduct.preview_image.path }}" alt=""></a>
	                                </div>
	                                <div class="item">
	                                    <img src="{{ obProduct.getObject().back_preview.path }}" alt=""></a>
	                                </div>
	                                {% for obImage in obProduct.images %}
		                                <div class="item">
		                                    <img src="{{ obImage.path }}" alt=""></a>
		                                </div>
		                            {% endfor %}
			                    </div>
			                {% endif %}
		                </div>
	                        <div class="ps-product__info">
	                            <h1>{{obProduct.name}}</h1>
	                            <div id="priceElem">
	                            	{% if isSoldout %}
	                            		<h4 class="ps-product__price"> SOLD OUT </h4>
	                            	{% else %}
										{% set offerta = offertaTessuto ? offertaTessuto : obOffer %}
			                            {% if offerta.old_price_value > 0 %}
											<h4 class="ps-product__price sale"> <del>{{ offerta.currency }} {{ offerta.old_price |priceformat}}</del>&nbsp;{{ offerta.currency }} {{offerta.price|priceformat}}</h4>
										{% elseif arCouponDiscount > 0 and obProduct.id in arCouponProducts %}
											<p class="ps-product__price"> <del>{{ offerta.currency }} {{ offerta.price|priceformat }}</del>&nbsp;{{ offerta.currency }} {{ (offerta.price-(offerta.price * arCouponDiscount/100))|priceformat }}</p>
										{% else %}
											<h4 class="ps-product__price">{{ offerta.currency }}{{offerta.price|priceformat}}</h4>
							            {% endif %}
							        {% endif %}
						        </div>
								<span id="quant" class="font-weight-bold" style="display: none;"></span>
	                            <div class="detail-info">
	                                <div id="cod"><strong>COD</strong> {{obProduct.code}}
	                                	{% if sizetable %}
		                                	{% if not (Agent.isMobile()) %}
		                                		<a id='modalPopup' href="#sizeModal" data-modaal-type="inline" data-modaal-animation="fade" class="modaal sizeguide">{{'Visualizza tabella taglie'|_}}</a>
		                                	{% else %}
		                                		<a id='modalPopup' href="#sizeModal" class="fullscreen sizeguide">{{'Visualizza tabella taglie'|_}}</a>
		                                	{% endif %}
	                                	{% endif %}
	                            	</div>
								    {# Render select with offers #}
								    {% if obOfferList.isNotEmpty() and not isSoldout %}

								    	<tbody>
		                                    <tr>
		                                        <div class="ps-product__links {{offerteAttive < 2 ? 'mg-bt-0'}}">
		                                            <td class="label">
		                                            	{% if isTessuto %}
		                                                	<label for="pa_taglia"><strong>{{'Taglio(Larghezza x Altezza)'|_}}</strong></label>

		                                                {% else %}
		                                                	<label for="pa_taglia"><strong>{{'Taglia'|_}}</strong></label>
		                                                {% endif %}
		                                            </td>
		                                            <td class="value">

		                                				{% if offerteAttive > 1 %}
		                                                    <select id="pa_taglia" class="taglia" name="attribute_pa_taglia" data-attribute_name="attribute_pa_taglia" data-show_option_none="yes" onchange="changeQuantity(this);">
		                                                    	{% if isTessuto %}
				                                                	<option value="notselect">{{'Scegli il taglio'|_}}</option>
				                                                {% else %}
				                                                	<option value="notselect">{{'Scegli una taglia'|_}}</option>
				                                                {% endif %}
		                                                    	{% if isInternationalSort %}
			                                                    	{% for obOffer in obOfferList|sort((a, b) => a.code <=> b.code) if obOffer.price != '0' %}
												                        <option isinternational="{{obOffer.code}}" quantita="{{obOffer.quantity}}" value="{{ obOffer.id }}" {{obOfferList|length == 1 ? 'selected'}}>{{ obOffer.name }}</option>
												                    {% endfor %}
																{% else %}
			                                                    	{% for obOffer in obOfferList|sort((a, b) => a.code <=> b.code) if obOffer.price != '0' %}
												                        <option isinternational="{{obOffer.code}}" quantita="{{obOffer.quantity}}" value="{{ obOffer.id }}" {{obOfferList|length == 1 ? 'selected'}}>{{ obOffer.name }}</option>
												                    {% endfor %}
																{% endif %}
															</select>
 
														{% else %}
															<p class="disp-inl">{{ offertaTessuto ? offertaTessuto.name : obOfferList.first().name }}</p>
	                                                    	<input id="pa_taglia" type="hidden" quantita="{{obOffer.quantity}}" value="{{ offertaTessuto ? offertaTessuto.id : obOfferList.first().id }}">
														{% endif %}
		                                            </td>
		                                        </div>
		                                    </tr>
		                                </tbody>

	                                {% endif %}
	                            </div>

	                            {% if obProduct.obElement.ims_iscustomizable and not isSoldout %}
	                                <label class="mgt-3rem"><strong>{{'Personalizza con le tue iniziali'|_}} (€ 25)</strong></label>
	                                <p class="wdt-75">{{'Puoi personalizzarlo e renderlo unico nel suo genere selezionando la nostra opzione di monogrammi'|_}}. {{'Le tue iniziali saranno cucite a mano dai nostri sarti, il capo personalizzato non può essere reso'|_}}.</p>
	                                {#<p class="wdt-75">*{{'[messaggio_personalizzazione]'|_}}</p>#}
	                                {% if activeLocale == 'it' %}
	                                	{% set label = obProduct.obElement.customization_type == 'rosso' ? 'in rosso' : 'tono su tono' %}
	                                {% else %}
	                                	{% set label = obProduct.obElement.customization_type == 'rosso' ? 'in red' : 'tone on tone' %}
	                                {% endif %}
	                                <input class="button-wishlist is-customizable" type="text" placeholder="{{'Le iniziali verranno ricamate in'|_}} {{label}}" alt="" value="" name="iscustomizable" id="iscustomizable" maxlength="3">
								{% endif %}
								<p style="display: none;" class="m-2" id="email-slug-contact">{{'Lasciaci la tua email e ti contatteremo non appena ritornerà disponibile.'|_}}</p>
	                            <input class="form-control w-75" type="email" placeholder="Email" alt="" value="" name="email_disp" id="email_disp" style="display: none;">
								<div class="form-group ginput_container ginput_container_checkbox w-75 mt-3" id="checkifacconsent" style="display: none;">
									<ul class="gfield_checkbox" id="input_1_8">
										<li class="gchoice_1_8_1">
											<input name="newsletter_privacy" type="checkbox" value="1" id="newsletter_privacy" tabindex="8">
											<label for="newsletter_privacy" id="privacy">{{'Acconsento al trattamento dei miei dati personali da parte di Rubinacci srl per le finalità di marketing correlate ai servizi offerti (newsletter, promozioni, ecc)'|_}}.&nbsp;{{'Informativa sulle attività promozionali e policy marketing.'|_}}</label>
										</li>
									</ul>
								</div>

	                            {% if isTessuto %}
	                            	<a id="addToCart" class="button-carrello {{isSoldout ? 'disabled-a-btn'}}" href="{{isSoldout ? '#' : 'javascript:addToCart(2)' }}" >{{'Acquista il taglio'|_}}</a>
	                            {% else %}
	                            	<a id="addToCart" class="button-carrello {{isSoldout ? 'disabled-a-btn'}}" href="{{isSoldout ? '#' : 'javascript:addToCart()' }}">{{'Aggiungi al Carrello'|_}}</a>
	                            {% endif %}

	                            {% if isTessuto %}
	                            	<a id="addToCart" class="button-carrello {{isSoldout ? 'disabled-a-btn'}}" href="{{isSoldout ? '#' : 'javascript:addToCart(1)' }}"><span>{{'Acquistalo per il tuo su misura'|_}}</span></a>
	                            {% endif %}


								{% set obUser = UserData.get %}
	                            <a class="button-wishlist {{isSoldout ? 'disabled-a-btn'}} {{obProduct.obElement.ims_iscustomizable ? 'bottonepers'}}" href="{{isSoldout ? '#' : (obUser.isNotEmpty ? 'javascript:addToWishlist(' ~  obProduct.id ~  ')' : (activeLocale == 'it' ? '/mio-account' : '/my-account'))}}"><img src="{{'/assets/img/star.png'|theme}}" width="16px" height="16px" alt="{{'Aggiungi alla Wishlist'|_}}">{{'Aggiungi alla Wishlist'|_}}
	                            </a>
	                            {% if obProduct.preview_text %}
		                            <br>
		                            <br>
		                            <div class="card-header" id="headingOne">
			                            <a class="cure" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
											<p><b> {{'Cura e manutenzione'|_}}</b>&nbsp;&nbsp;<i class="fa fa-angle-down"></i></p>
										</a>
									</div>
		                            <div class="collapse" id="collapseExample">
										<div class="card card-body">
		                            		<p>{{obProduct.preview_text}}</p>
	                            		</div>
									</div>
		                        {% endif %}

	                            <hr class="riga">
	                            <div class="ps-product__desc">
	                            	{{ obProduct.description|raw|cleanhtml('<p><br>') }}
	                            	{#
	                                <p>Mocassini in juta rivestiti in pelle. La scarpa Marphy, nasce nel 2005, dall’idea del giovane Luca con i suoi amici alla ricerca di una scarpa comoda. Una scarpa delicata, soffice e comoda come una pantofola. La collezione comprende differenti tipi di pellami e tessuti a tiratura limitata.</p>
	                                #}
	                            </div>
	                        </div>
	                    </div>
		                    {#</div>
		                </div>#}
		            </div>


		            {% if Agent.isTablet %}
		            	{% set itemsN = 2 %}
		            {% else %}
		            	{% set itemsN = 4 %}
		            {% endif %}

		            {% if obProduct.linked|length > 0 and not isSoldout%}
		            	<div id="linkProd" style="display:block">
			        		<hr>
				            <div class="ps-section ps-related-products">
				                <div class="container">
				                    <div class="ps-section__header">
				                        <h1 class="ind-con">{{'Crea con noi'|_}}</h1>
				                        {#<h1 class="ind-con">{{'Realizza un capo pronto da indossare'|_}}</h1>
			                        	<p>{{'Scegli quale nostro icon item realizzare'|_}}</p>#}
				                    </div>
				                    <div class="ps-section__content">
			                        	<div class="owl-slider-related">

				                            {% for obLinkedProduct in obProduct.linked|sort((a,b) => a.name <=> b.name) %}
				                            	{% set obOffer = obLinkedProduct.offer.first() %}
				                            	<div class="ps-product ps-product-rel">
					                                <div>
					                                    <a class="ps-product__img" href="{{ activeLocale == 'it' ? (obLinkedProduct.code == 'link' ? '/it/'~obLinkedProduct.slug : '/it/prodotto-tessuto/'~obLinkedProduct.slug~'/'~obProduct.id) : (obLinkedProduct.code == 'link' ? '/en/'~obLinkedProduct.slug : '/en/product-fabric/'~obLinkedProduct.slug~'/'~obProduct.id)}}"><img src="{{ obLinkedProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" /></a>
					                                </div>
					                                <div class="ps-product__content">
					                                    <div class="ps-product__meta">
					                                        <a href="{{ activeLocale == 'it' ? (obLinkedProduct.code == 'link' ? '/it/'~obLinkedProduct.slug : '/it/prodotto-tessuto/'~obLinkedProduct.slug~'/'~obProduct.id) : (obLinkedProduct.code == 'link' ? '/en/'~obLinkedProduct.slug : '/en/product-fabric/'~obLinkedProduct.slug~'/'~obProduct.id)}}"></a>
					                                    </div><a class="ps-product__title" href="{{ activeLocale == 'it' ? (obLinkedProduct.code == 'link' ? '/it/'~obLinkedProduct.slug : '/it/prodotto-tessuto/'~obLinkedProduct.slug~'/'~obProduct.id) : (obLinkedProduct.code == 'link' ? '/en/'~obLinkedProduct.slug : '/en/product-fabric/'~obLinkedProduct.slug~'/'~obProduct.id)}}">{{obLinkedProduct.name}}</a>
					                                    {% if obLinkedProduct.code == 'link' %}
					                                    {% elseif obOffer.old_price_value > 0 %}
		    												<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.old_price }}</del>&nbsp;{{ obOffer.currency }} {{obOffer.price}}</p>
														{% elseif arCouponDiscount > 0 and obLinkedProduct.id in arCouponProducts %}
															<p class="ps-product__price"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>&nbsp;{{ obOffer.currency }} {{ (obOffer.price-(obOffer.price * arCouponDiscount/100))|priceformat }}</p>
														{% else %}
															<p class="ps-product__price">{{ obOffer.currency }}{{obOffer.price}}</p>
											            {% endif %}
					                                </div>
					                            </div>
					                            {% if loop.last %}
						                            {% if not Agent.isMobile and (loop.index % itemsN) != 0 %}
						                            	{% for i in 1..(loop.index % itemsN) %}
							                            	<div class="ps-product ps-product-rel">
							                            	</div>
						                            	{% endfor %}
						                            {% endif %}
					                            {% endif %}
				                            {% endfor %}
				                        </div>
				                    </div>
				                </div>
				            </div>
			            </div>
		        	{% endif %}


		            {% if obRelated.count() > 0 %}
			            <hr>
			            <div class="ps-section ps-related-products">
			                <div class="container">
			                    <div class="ps-section__header">
			                        <h1 class="ind-con">{{'Indossa Con'|_}}</h1>
			                    </div>
			                    <div class="ps-section__content">
			                        {#<div class="ps-carousel--nav owl-slider" data-owl-auto="true" data-owl-loop="true" data-owl-speed="5000" data-owl-gap="30" data-owl-nav="true" data-owl-dots="true" data-owl-item="4" data-owl-item-xs="1" data-owl-item-sm="2" data-owl-item-md="3" data-owl-item-lg="4" data-owl-duration="1000" data-owl-mousedrag="on">#}
		                        	<div class="owl-slider-related">
			                            {% for obProduct in obRelated %}
			                            	{% set obOffer = obProduct.offer.first() %}
			                            	<div class="ps-product ps-product-rel">
				                                <div >
				                                    <a class="ps-product__img" href="{{ activeLocale == 'it' ? (obProduct.code == 'link' ? '/it/'~obProduct.slug : '/it/prodotto/'~obProduct.slug) : (obProduct.code == 'link' ? '/en/'~obProduct.slug : '/en/product/'~obProduct.slug)}}"><img src="{{ obProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" /></a>

				                                </div>
				                                <div class="ps-product__content">
				                                    <div class="ps-product__meta">
				                                        <a href="{{ activeLocale == 'it' ? (obProduct.code == 'link' ? '/it/'~obProduct.slug : '/it/prodotto/'~obProduct.slug) : (obProduct.code == 'link' ? '/en/'~obProduct.slug : '/en/product/'~obProduct.slug)}}"></a>
				                                    </div><a class="ps-product__title" href="{{ activeLocale == 'it' ? (obProduct.code == 'link' ? '/it/'~obProduct.slug : '/it/prodotto/'~obProduct.slug) : (obProduct.code == 'link' ? '/en/'~obProduct.slug : '/en/product/'~obProduct.slug)}}">{{obProduct.name}}</a>
				                                    {% if obProduct.code == 'link' %}
				                                    {% elseif obOffer.old_price_value > 0 %}
	    												<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.old_price }}</del>&nbsp;{{ obOffer.currency }} {{obOffer.price}}</p>
													{% elseif arCouponDiscount > 0 and obProduct.id in arCouponProducts %}
														<p class="ps-product__price"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>&nbsp;{{ obOffer.currency }} {{ (obOffer.price-(obOffer.price * arCouponDiscount/100))|priceformat }}</p>
													{% else %}
														<p class="ps-product__price">{{ obOffer.currency }}{{obOffer.price}}</p>
										            {% endif %}
				                                </div>
				                            </div>
				                            {% if loop.last %}
					                            {% if not Agent.isMobile and (loop.index % itemsN) != 0 %}
					                            	{% for i in 1..(loop.index % itemsN) %}
						                            	<div class="ps-product ps-product-rel">
						                            	</div>
					                            	{% endfor %}
					                            {% endif %}
				                            {% endif %}
			                            {% endfor %}
			                        </div>
			                    </div>
			                </div>
			            </div>
			        {% endif %}


			        {#{% if obCategoryOtherProducts is not empty %}#}
			        {% if obCategoryOtherProducts.count() > 0 %}
			        	<hr>
				        <div class="ps-section ps-related-products">
			                <div class="container">
			                    <div class="ps-section__header">
			                        <h1 class="ind-con">{{'Potrebbe piacerti'|_}}</h1>
			                    </div>
			                    <div class="ps-section__content">
		                        	<div class="owl-slider-like">
	 									{% for obProductLike in obCategoryOtherProducts %}
	 										{% if obProduct.id != obProductLike.id %}
				                            	{% set obOfferLike = obProductLike.offer.first() %}
				                            	<div class="ps-product ps-product-like">
					                                <div >
					                                    <a class="ps-product__img" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProductLike.slug}}"><img src="{{ obProductLike.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" /></a>
					                                </div>
					                                <div class="ps-product__content">
					                                    <div class="ps-product__meta">
					                                        <a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProductLike.slug}}"></a>
					                                    </div><a class="ps-product__title" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProductLike.slug}}">{{obProductLike.name}}</a>
					                                    {% if obOfferLike.old_price_value > 0 %}
															<p class="ps-product__price sale"> <del>{{ obOfferLike.currency }} {{ obOfferLike.old_price }}</del>{{ obOfferLike.currency }} {{obOfferLike.price}}</p>
														{% elseif arCouponDiscount > 0 and obProduct.id in arCouponProducts %}
															<p class="ps-product__price"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>{{ obOffer.currency }} {{ (obOffer.price-(obOffer.price * arCouponDiscount/100))|priceformat }}</p>
														{% else %}
															<p class="ps-product__price">{{ obOfferLike.currency }}{{obOfferLike.price}}</p>
											            {% endif %}
					                                </div>
					                            </div>
					                            {% if loop.last %}
						                            {% if not Agent.isMobile and (loop.index % itemsN) != 0 %}
						                            	{% for i in 1..(loop.index % itemsN) %}
							                            	<div class="ps-product ps-product-rel">
							                            	</div>
						                            	{% endfor %}
						                            {% endif %}
					                            {% endif %}
					                        {% endif %}
			                            {% endfor %}
			                        </div>
			                    </div>
			                </div>
			            </div>
			        	<hr class="mg-bt-50">
		        	{% endif %}

		        </div>
		    </div>

	    {% endif %}



        {% partial 'footer' %}


		{% if sizetable %}
			<div id="sizeModal" style="display:none">
				<div class="yith-wcpsc-product-size-charts-popup">
					{{ activeLocale == 'it' ? sizetable.size_table_it|raw : sizetable.size_table_en|raw }}
				</div>
			</div>
		{% endif %}

	    <!-- Plugins-->
	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/modaal/js/modaal.min.js'|theme }}"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/toasts/jquery.toast.js'|theme }}"></script>


    	{% if not (Agent.isMobile()) %}
    		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-zoom/1.7.21/jquery.zoom.min.js"></script>
    	{% else %}

            <script>
            	//componente modaal tabella taglie
    			$('.fullscreen').modaal({
				    fullscreen: true
				});
    		</script>
    		<style>
    			.modaal-content-container
    			{
    				padding: 5px !important;
    			}
    		</style>
    	{% endif %}

    	<script>
    		$(document).ready(function(){

    			// Add minus icon for collapse element which is open by default
				$(".collapse.show").each(function(){
					$(this).prev(".card-header").find(".fa").addClass("fa-minus").removeClass("fa-plus");
				});

				// Toggle plus minus icon on show hide of collapse element
				$(".collapse").on('show.bs.collapse', function(){
					$(this).prev(".card-header").find(".fa").removeClass("fa-plus").addClass("fa-minus");
				}).on('hide.bs.collapse', function(){
					$(this).prev(".card-header").find(".fa").removeClass("fa-minus").addClass("fa-plus");
				});

			  {% if not (Agent.isMobile()) %}
		      // funzione di zoom
			  $('img#prod-img').wrap('<span style="display:inline-block"></span>').css('display', 'block').parent().zoom({magnify: 0.8});
			  {% endif %}
			});

			$('#modalPopup').on('click',function(){
				$('thead').each(function(){
					// $('thead th:first').css('width','30%');
					$('th').each(function(){
						$(this).addClass('primariga');
					});
				});
				$('td').each(function(){
					$(this).addClass('contenuto');
					// $(this).css('width','');
				});
				$('table').each(function(){
					// $(this).css('width','100%');
					$(this).addClass('yith-wcpsc-product-table-elegant');
				});
			});

			function changeQuantity(e){
				//console.log(e.value);
				{% for obOffer in obOfferList %}
					var off = "{{obOffer.id}}";
					if(e.value===off){
						var z = "{{obOffer.quantity}}";
						if(z<4){
							$('#quant').css('display','');
							$('#quant').css('font-weight','bold');
							$('#quant').html("{{'Disponibilità: solo '|_}} "+z);
						}else{
							$('#quant').css('display','none');
						}
						if(z<=0){
							$('#quant').html("{{'Questa taglia e’ esaurita.'|_}} ");
							$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").removeAttr('href');
							$('#email_disp').show();
							$('#email-slug-contact').show();
							$('#checkifacconsent').show();
							$('#newsletter_privacy').on('change', function() {
								if ($(this).is(':checked')) {
									$('#addToCart').prop('href',true);
									$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").prop('href','javascript:addToEmail()');
								} else {
									$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").removeAttr('href');
								}
							});

							$('#iscustomizable').hide();
						}else{
							$('#addToCart').text("{{'Aggiungi al Carrello'|_}}").prop('href','javascript:addToCart()');
							$('#email-slug-contact').hide();
							$('#email_disp').hide();
							$('#checkifacconsent').hide();
							$('#iscustomizable').show();
						}
					}
				{% endfor %}
			}

			function checkTagliaUnica() {
				var taglia = $('#pa_taglia');
				var z = $(taglia).attr('quantita');
				if(z<4){
					$('#quant').css('display','');
					$('#quant').css('font-weight','bold');
					$('#quant').html("{{'Disponibilità: solo '|_}} "+z);
				}else{
					$('#quant').css('display','none');
				}
				if(z<=0){
					$('#quant').html("{{'Questo prodotto e’ esaurito.'|_}} ");
					$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").removeAttr('href');
					$('#email_disp').show();
					$('#email-slug-contact').show();
					$('#checkifacconsent').show();
					$('#newsletter_privacy').on('change', function() {
						if ($(this).is(':checked')) {
							$('#addToCart').prop('href',true);
							$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").prop('href','javascript:addToEmail()');
						} else {
							$('#addToCart').text("{{'Inviami un email quando disponibile'|_}}").removeAttr('href');
						}
					});

					$('#iscustomizable').hide();
				}else{
					$('#addToCart').text("{{'Aggiungi al Carrello'|_}}").prop('href','javascript:addToCart()');
					$('#email-slug-contact').hide();
					$('#email_disp').hide();
					$('#checkifacconsent').hide();
					$('#iscustomizable').show();
				}
			}
			checkTagliaUnica();

			function addToEmail() {
				var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
				if(!regex.test($('#email_disp').val())) {
					$('#email-slug-contact').addClass('text-danger');
					$('#email-slug-contact').text("Si prega di inserire un'email corretta.")
				}else{
					$('#email-slug-contact').hasClass('text-danger') ? [$('#email-slug-contact').removeClass('text-danger'), $('#email-slug-contact').text("{{'Lasciaci la tua email e ti contatteremo non appena ritornerà disponibile.'|_}}")] : '';
					$.request('onAddEmail', {
						data: {
							'offer_id': $("#pa_taglia").val(),
							'email_user': $('#email_disp').val()
						},
						loading: $.oc.stripeLoadIndicator,
						// le righe che seguono servono per abilitare il flashmessage utile per debug
						flash: 1,
						handleFlashMessage: function(message, type) {
							$.oc.flashMsg({ text: message.X_OCTOBER_FLASH_MESSAGES.success, class: type })
						},
						success: function(message,type) {
							$.oc.flashMsg({ text: message.X_OCTOBER_FLASH_MESSAGES.success, class: type });
							location.reload(true);
						},
					});
				}
			}

			function addToCart(isBespoke = null) {
				var customized_content = '';

				if(isBespoke == 1){
					var customized_content = '_isBespoke';
				}else{
					{% if obProduct.obElement.ims_iscustomizable %}
						if($("#iscustomizable").val() == ' ' || $("#iscustomizable").val() == '  ' || $("#iscustomizable").val() == '   '){
							customized_content = null;
						} else {
							customized_content = $("#iscustomizable").val();
						}
					{% endif %}
				}

				const cartData = [
			      {
			        'offer_id': $("#pa_taglia").val(),
			        'quantity': '1',
			        'customized_content' : customized_content
			      }
			    ];

			  	$.request('onAddToBasket', {
				  	data: {'cart': cartData },
				  	loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
						if ( type == 'success' && isBespoke == 1 )
				        {
				        	showBespokeNotification();
				        }
				    },
				  	complete: function() {
				  		$.request('Cart::onGetData', {
					      update: {'cart-count': `.cart-count`, 'minicart-update': '.ps-cart--sidebar-content'}
					    });
					    if(isBespoke == 1 || isBespoke == 2){
					    	$('#linkProd').css('display', 'none');
					    }
				  		/*
				  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
				  		$('#menu_inner').lightGallery({
						    thumbnail:true,
						    selector: "a"
						});*/
				  	},
				});



			}

			function showBespokeNotification()
			{
				$.toast({
				    text: "{{ 'add_to_cart_bespoke'|msglang }}", // Text that is to be shown in the toast
				    showHideTransition: 'fade', // fade, slide or plain
				    allowToastClose: true, // Boolean value true or false
				    hideAfter: 10000, // false to make it sticky or number representing the miliseconds as time after which toast needs to be hidden
				    stack: 5, // false if there should be only one toast at a time or a number representing the maximum number of toasts to be shown at a time
				    position: 'bottom-center', // bottom-left or bottom-right or bottom-center or top-left or top-right or top-center or mid-center or an object representing the left, right, top, bottom values
				    bgColor: '#ffffff',  // Background color of the toast
				    textColor: '#222',  // Text color of the toast
				    textAlign: 'center',  // Text alignment i.e. left, right or center
				    loader: false,  // Whether to show loader or not. True by default
				});
			}

			function addToWishlist(productId) {
			  	$.request('ProductData::onAddToWishList', {
				  	data: {'product_id': productId },
				  	loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    //success: function(data) { console.log(data); },
				  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
				  	/*complete: function() {

				  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
				  		$('#menu_inner').lightGallery({
						    thumbnail:true,
						    selector: "a"
						});
				  	},*/
				  	success: function(data){
						var message = data.message;

			    		$.oc.flashMsg({ text: "{{'Complimenti articolo aggiunto alla wishlist!'|_}}", class: 'success' });
			    		return;
					}
				});

			}
			function logout(){
				$.request('Logout::onAjax', {
					//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}
		</script>

	    {% partial 'footerscripts' %}
	    {% scripts %}
    	{% framework extras %}

	</body>

</html>